package org.agilefaqs.rft;

import org.agilefaqs.rft.internal.Domain;
import org.agilefaqs.rft.internal.IPAddress;

class Match {
    final static Match NULL = new Match(Domain.NULL, IPAddress.NULL, 0);

    final Domain domain;
    final IPAddress ip;
    final int distance;

    Match(final Domain senderDomain, final IPAddress senderIp, final int counter) {
        domain = senderDomain;
        ip = senderIp;
        distance = counter;
    }

    protected boolean success() {
        return domain != Domain.NULL;
    }
}
